<?php


namespace App\Models;


class DynamicZanModel extends BaseModel
{
    protected $table = 'dynamic_zan';
    public $timestamps = false;
    protected $fillable = ['user_id', 'dynamic_id','status','atime'];


    public function user()
    {
        return $this->belongsTo(User::class,'user_id','id');
    }

    public function user_info()
    {
        return $this->belongsTo(UserInfoModel::class,'user_id','user_id');
    }

    public function dynamic()
    {
        return $this->belongsTo(DynamicModel::class,'dynamic_id','id');
    }
}
